We’re halfway through May, and the Long Challenge is done and dusted. The competition came with a little twist this time as it was rated only for Divisions Two and Three. Regardless of this, we still saw some great problems and competition, and we’re here with a recap of all that!

**The Problems Half Of The Competition! **

For Division Two, the coders got a problem-set of 7 problems. Out of all of these, the one showered with the most attention was Xor Equality. The problem saw 6.3k+ successful submissions, along with an accuracy rate of 29.75 percent. Other popular problems included Tic Tac Toe and Modular Equations both of which got over 5.3k and 4k successful submissions respectively. The one problem that seemed to trouble the Division Two players was King Killing. The problem got merely 268 correct answers, with an even more miserly accuracy rate of 5.42 percent.

Talking to us about his inspiration for Xor Equality and Modular Equations problem-setter Daanish Mahajan said,

“Mostly I get good easy-level ideas when I am not thinking about them. Almost every time, I am trying to solve something and end up observing some lines of the solution which could be turned into an easy problem”

He also shared how he got the idea behind the problem Valid Paths,

“This is a classical tree dp problem and many variants of it can be found over the internet. I did set a harder variant 2 years back (XDCOMP). The main motive was to make people appreciate how many harder-looking ideas can be solved using a few lines of dfs”

Moving on to Division Three, the players here were assigned a whopping 9 problems! However, the players lived up to the challenge, and we saw some great solutions. The uncontested favorite problem of this Division was Solubility. The problem got nearly 27,000 green ticks and an equally high accuracy rate of 80.78 percent. Another problem that the players must have enjoyed was Golf as it saw more than 21k correct answers. King Killing once more took the position of least solved problem as the Division Three players were baffled by it. The problem saw only 110 successful submissions, and an accuracy rate of 5.36 percent.

Problem-setter Daanish also gave us a little sneak into what thought went on behind coming up with a problem like Solubility saying,

“Usually setting a div3A-B is pretty challenging because almost every idea for the same is pushed to a higher difficulty problem. The final product should mostly be solvable using if-else conditionals and is usually made close to the contest. My main target is to add a real-life scenario to the problem to make it interesting.

Talking about the player group the problem was aimed at, he said,

“Anyone with the basic knowledge of input-output should be able to solve the problem”

**The Ranklists Have Of It! **

In a plot twist that stunned us all, the top spot in Division Two was shared by 235 players. Yes, you read that right, we had a 235-way tie for first place in Division Two! If you were to open the ranklist right now, the first name visible would be amiy_tiwari. amiy_tiwari is followed by harsh_lakhotia. Next in line we had kaustv, and close on his tail was tourist1256. All four of these players started out as 4-star players and have all successfully moved on to becoming 5-star ones. We hope that they are able to perform equally well in Division One! On the fifth number one spot, we had coder geekark71 who managed to use the contest to jump stars from 3 to 4! To catch up with all the 235 winners, you can check out the full ranklist here.

Division Three had an equally dramatic ranklist as we saw an 85-way tie here for the first position. We can’t possibly write the names of all the winners, so here’s a list of 5 out of the 85. First we had bicky_5 who used this contest to jump stars to 2! Next in line was wxyzha123 who managed to jump stars from 2 to 3 credit to his performance. Following wxyzha123 was ssuuyyaasshh who switched stars from 1 to 3 post the contest. Next we had players meenagopal24 and sam_rei, both of whom are now 3-star players! For the full ranklist of Division Three, you can head here.

**The Learning Half Of It! **

Primarily the Long Challenge is a contest aimed to help you learn. In order to do so, you need to know whether the solutions you wrote were as efficient as could be, or how to solve the problems that left you stumped. For all of this, we’d suggest popping over to our YouTube channel and watching the video editorials for all the Long Challenge problems!

That’s pretty much it from our side for now. We loved every bit of the contest, and we hope you did too. Until next time, this is CodeChef correspondent Riddhi Acharya waiting impatiently for the May Cook-Off!